#!/bin/bash

if ! type "include" > /dev/null 2>&1; then
  include() {
  . "$(cd "$(dirname "$1")" && pwd)/${2}";
  };
fi
include "${BASH_SOURCE[0]}" ../pragma_once.bash
if ! pragma_once ${BASH_SOURCE[0]}; then return 0;
  source ../base/export.bash
fi
include "${BASH_SOURCE[0]}" ../base/export.bash



build_python() {

  return 0
}




build_open_ssh(){
  build_dir=/ae/env
  zlib_ver=zlib-1.3.1
  zlib_dir=${build_dir}/${zlib_ver}
  openssh_ver=openssh_10.0p1
  openssh_dir=${build_dir}/${openssh_ver}


  build_gnu_zip "https://zlib.net/zlib-1.3.1.tar.gz" \
    --prefix=${zlib_dir}


  # openssl zlib
  # --with-privsep-path OpenSSH 的“特权分离（Privilege Separation）目录
  build_gnu_zip "https://cdn.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-10.0p1.tar.gz" \
    --prefix=${openssh_dir} \
    --with-zlib=${zlib_dir} \
    --with-privsep-path=${openssh_dir}/var/empty

  return 0
}